Subject: RE: bug#33718: Syntaxe problem? I can't find the solution :-(

From: Rudy BROSTEAUX <[email-masked]>
Date: Thu, 13 Dec 2018 08:54:00 +0000

Hello,

Environment: AIX 7.2 TL3 SP1 (on IBM Power Systems)
Origin of the coreutils RPM used @release 8.30 is perzl.org
Installed using a yum server.

******* /root> /usr/bin/time timeout 2.3 sleep 5
timeout: warning: timer_create: Invalid argument

real   3.01
user   0.00
sys    0.00
******** /root>

Could be a missing dependence ?

Regards,
Rudy

-----Original Message-----
From: Bernhard Voelker <[email-masked]> 
Sent: Wednesday 12 December 2018 22:28
To: Rudy BROSTEAUX <[email-masked]>; [email-masked]
Subject: Re: bug#33718: Syntaxe problem? I can't find the solution :-(

On 12/12/18 3:24 PM, Rudy BROSTEAUX wrote:
> I need to use your timeout tool.
> 
> But when I tried it works with these not very nice message...
> "timeout: warning: timer_create: Invalid argument"

'man 3p timer_create' says:

  EINVAL The specified clock ID is not defined.

No idea.  For an analysis, we need more information:
timeout version, OS/kernel version, and finally of course a reproducer, i.e., the exact command line you were using.

timeout works well here:

  $ /usr/bin/time -f '%e' timeout 2.3 sleep 4.5
  Command exited with non-zero status 124
  2.30

Have a nice day,
Berny